#
# spec file for package python-frozenlist
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
%{?sle15_python_module_pythons}
Name:           python-frozenlist
Version:        1.3.3
Release:        150400.9.3.10
Summary:        Python list-like structure which implements MutableSequence
License:        Apache-2.0
URL:            https://github.com/aio-libs/frozenlist
Source:         https://files.pythonhosted.org/packages/source/f/frozenlist/frozenlist-%{version}.tar.gz
BuildRequires:  %{python_module Cython >= 0.29.24}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%python_subpackages

%description
Python list-like structure which implements collections.abc.MutableSequence.

%prep
%setup -q -n frozenlist-%{version}

%build
export CFLAGS="%{optflags}"
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%check
%pytest_arch

%files %{python_files}
%doc CHANGES.rst README.rst
%license LICENSE
%{python_sitearch}/frozenlist
%{python_sitearch}/frozenlist-%{version}*-info

%changelog
* Fri Apr 21 2023 dmueller@suse.com
- add sle15_python_module_pythons (jsc#PED-68)
* Thu Apr 13 2023 mcepl@suse.com
- Make calling of %%{sle15modernpython} optional.
* Fri Dec  2 2022 yarunachalam@suse.com
- Update to 1.3.3
  * Fixed CI runs when creating a new release, where new towncrier versions fail
    when the current version section is already present.
- Update to 1.3.2
  * Misc
    Updated the CI runs to better check for test results and to avoid
    deprecated syntax. #327
* Wed Sep 28 2022 yarunachalam@suse.com
- update to 1.3.1
  * The published source distribution package became buildable under Python 3.11.
* Sun Jan 23 2022 dmueller@suse.com
- update to 1.3.0:
  * Do not install C sources with binary distributions.
  * Dropped Python 3.6 support
* Sat Dec 11 2021 code@bnavigator.de
- Update to 1.2.0
  * FrozenList now supports being used as a generic type as per PEP
    585, e.g. frozen_int_list: FrozenList[int] (requires Python 3.9
    or newer). #172
  * Added support for Python 3.10. #227
  * Started shipping platform-specific wheels with the musl tag
    targeting typical Alpine Linux runtimes. #227
  * Started shipping platform-specific arm64 wheels for Apple
    Silicon. #227
- Cythonize
- Required by some aio packages.
* Sun Nov 29 2020 jayvdb@gmail.com
- Initial spec for v1.1.1
